# Crate ethcore_ipc [−] [src]

IPC RPC interface

## Reexports

`pub use interface::{IpcInterface, IpcSocket, invoke, IpcConfig, Handshake, Error, WithSocket};`
`pub use binary::{BinaryConvertable, BinaryConvertError, BinVersion, BinHandshake};`

## Modules

binary | Binary representation of types
interface | IPC RPC interface

## Macros

binary_fixed_size |

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)